/*
 * JPA2 entity template for JEE6
 *
 *
 * Takatuka - Template fuer JPA JEE6
 *
 * Moeglichkeiten und Einschraenkungen:
 * - Beziehungen werden abgebildet
 * -- es gibt keine 1:1 Beziehungen
 * -- N:M Beziehungen sind immer bidirektional
 * - Vererbung wird nicht unterstuetzt
 */

package de.ivu.elect.business.protokollierung.entity;

public interface ProtokollEintragBase extends 
de.ivu.elect.jee.entity.Entity<ProtokollEintragPK, ProtokollEintragUK>
{

  
  /**
   * getter for primary key wrapper PROTOKOLL_EINTRAG.protokoll_eintrag_id
   *
   * @return
   */
  @Override
  ProtokollEintragPK getPk();
    

  /**
   * ATTRIBUTE
   */

    

  /**
   * 
   *
   * getter for PROTOKOLL_EINTRAG.ALTER_WERT
   *
   */
  java.lang.String getAlterWert();

  /**
   * 
   *
   * setter for PROTOKOLL_EINTRAG.ALTER_WERT
   *
   * @param alterWert
   */
  void setAlterWert(java.lang.String alterWert);
      

  /**
   * 
   *
   * getter for PROTOKOLL_EINTRAG.ATTRIBUT
   *
   */
  java.lang.String getAttribut();

  /**
   * 
   *
   * setter for PROTOKOLL_EINTRAG.ATTRIBUT
   *
   * @param attribut
   */
  void setAttribut(java.lang.String attribut);
      

  /**
   * 
   *
   * getter for PROTOKOLL_EINTRAG.ATTRIBUT_TYP
   *
   */
  de.ivu.elect.jee.protokollierung.AttributTyp getAttributTyp();

  /**
   * 
   *
   * setter for PROTOKOLL_EINTRAG.ATTRIBUT_TYP
   *
   * @param attributTyp
   */
  void setAttributTyp(de.ivu.elect.jee.protokollierung.AttributTyp attributTyp);
      

  /**
   * 
   *
   * getter for PROTOKOLL_EINTRAG.BENUTZERKENNUNG
   *
   */
  java.lang.String getBenutzerkennung();

  /**
   * 
   *
   * setter for PROTOKOLL_EINTRAG.BENUTZERKENNUNG
   *
   * @param benutzerkennung
   */
  void setBenutzerkennung(java.lang.String benutzerkennung);
      

  /**
   * 
   *
   * getter for PROTOKOLL_EINTRAG.ENTITAET
   *
   */
  java.lang.String getEntitaet();

  /**
   * 
   *
   * setter for PROTOKOLL_EINTRAG.ENTITAET
   *
   * @param entitaet
   */
  void setEntitaet(java.lang.String entitaet);
      

  /**
   * 
   *
   * getter for PROTOKOLL_EINTRAG.NEUER_WERT
   *
   */
  java.lang.String getNeuerWert();

  /**
   * 
   *
   * setter for PROTOKOLL_EINTRAG.NEUER_WERT
   *
   * @param neuerWert
   */
  void setNeuerWert(java.lang.String neuerWert);
      

  /**
   * 
   *
   * getter for PROTOKOLL_EINTRAG.PRIMAERSCHLUESSEL
   *
   */
  java.lang.Long getPrimaerschluessel();

  /**
   * 
   *
   * setter for PROTOKOLL_EINTRAG.PRIMAERSCHLUESSEL
   *
   * @param primaerschluessel
   */
  void setPrimaerschluessel(java.lang.Long primaerschluessel);
      

  /**
   * 
   *
   * getter for PROTOKOLL_EINTRAG.PROTOKOLL_EINTRAG_ART
   *
   */
  de.ivu.elect.jee.protokollierung.ProtokollEintragArt getProtokollEintragArt();

  /**
   * 
   *
   * setter for PROTOKOLL_EINTRAG.PROTOKOLL_EINTRAG_ART
   *
   * @param protokollEintragArt
   */
  void setProtokollEintragArt(de.ivu.elect.jee.protokollierung.ProtokollEintragArt protokollEintragArt);
      

  /**
   * 
   *
   * getter for PROTOKOLL_EINTRAG.ZEITPUNKT
   *
   */
  java.util.Date getZeitpunkt();

  /**
   * 
   *
   * setter for PROTOKOLL_EINTRAG.ZEITPUNKT
   *
   * @param zeitpunkt
   */
  void setZeitpunkt(java.util.Date zeitpunkt);
  
/**
 * Beziehungen N:1 unidirektional
 */

/**
 * Beziehungen N:1 bidirektional
 */


/**
 * Beziehungen 1:N unidirektional (nicht unterstuetzt)
   */

/**
 * Beziehungen 1:N bidirektional
   */

/**
 * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

/**
 * Beziehungen N:M bidirektional selbstreferenzierend
   */
}
